| Newsgroups |
php.pear.bugs |
| Message-ID |
<[email protected]> |
Edit report at https://pear.php.net/bugs/bug.php?id=20403&edit=1
ID: 20403
Comment by: [email protected]
Reported By: 303170436 at qq dot com
Summary: Network connection error with SVN pre-commit
Status: Feedback
Type: Bug
Package: PHP_CodeSniffer
Operating System: centos6.4
Package Version: 1.5.4
PHP Version: 5.3.25
Assigned To: squiz
Roadmap Versions:
New Comment:
where can i upload error images or error tar.gz package ?
now the word change to the " ? " so bad
Previous Comments:
------------------------------------------------------------------------
[2014-09-11 06:07:24] jouny
hi thanks for your help
the software is below:
pear version:1.9.5
php version:5.3.25
zend engine version: 2.3.0
Running on: Linux 2.6.32-358.18.1.el6.x86_64 #1 SMP Wed Aug 28 17:19:38
UTC 2013 x86_64
PHP_CodeSniffer-1.5.4
subversion-1.6.20
TortoiseSVN 1.8.6, Build 25419 - 64 Bit , 2014/04/12 11:40:48
Subversion 1.8.8, -release
apr 1.5.0
apr-util 1.5.3
serf 1.3.4
OpenSSL 1.0.1g 7 Apr 2014
zlib 1.2.8
now i commit php subject to the SVN
SVN pre-commit will call:
/root/pear/bin/scripts/phpcs-svn-pre-commit "$REPOS" -t "$TXN" >&2 ||
exit 1
and then the error is happend:
F:\WebRoot\_test\svntools\abc__svn\admin\classes\controller\order\tj.php
F:\WebRoot\_test\svntools\abc__svn\admin\views\default\order_tj_index.php
????(????):
????????????
this error message translation to chinese(gbk=>utf-8) is:????????
------------------------------------------------------------------------
[2014-09-11 05:41:20] squiz
-Summary: PHP_CodeSniffer error2
+Summary: Network connection error with SVN pre-commit
-Status: Open
+Status: Feedback
-Assigned To:
+Assigned To: squiz
Google translate tells me that message includes: "Network connection
closed
unexpectedly", which means it is probably a problem accessing the SVN
repo.
I've tested all this locally now and it is working fine once your other
bug report is fixed
(bug #20402).
Can you provide any more information?
------------------------------------------------------------------------
[2014-09-10 09:14:32] jouny
-PHP Version: 5.3.29
+PHP Version: 5.3.25
------------------------------------------------------------------------
[2014-09-10 09:13:34] jouny
Description:
------------
/root/pear/bin/scripts/phpcs-svn-pre-commit "$REPOS" -t
"$TXN" >&2 || exit 1
used svn+PHP_CodeSniffer when commit .php size
>12.5K
will produce error
????(????):
????????????
????????
Test script:
---------------
/root/pear/bin/scripts/phpcs-svn-pre-commit "$REPOS" -t "$TXN" >&2 ||
exit 1
Actual result:
--------------
????(????):
????????????
????????
------------------------------------------------------------------------
--
Edit this bug report at https://pear.php.net/bugs/bug.php?id=20403&edit=1